published on Thursday, Jul 9, 2026 by Pulumi
published on Thursday, Jul 9, 2026 by Pulumi
This data source provides the list of Resolver Endpoints in Oracle Cloud Infrastructure DNS service.
Gets a list of all endpoints within a resolver. The collection can be filtered by name or lifecycle state. It can be sorted on creation time or name both in ASC or DESC order. Note that when no lifecycleState query parameter is provided, the collection does not include resolver endpoints in the DELETED lifecycle state to be consistent with other operations of the API.
Example Usage
import * as pulumi from "@pulumi/pulumi";
import * as oci from "@pulumi/oci";
const testResolverEndpoints = oci.dns.getResolverEndpoints({
resolverId: testResolver.id,
scope: "PRIVATE",
name: resolverEndpointName,
state: resolverEndpointState,
});
import pulumi
import pulumi_oci as oci
test_resolver_endpoints = oci.dns.get_resolver_endpoints(resolver_id=test_resolver["id"],
scope="PRIVATE",
name=resolver_endpoint_name,
state=resolver_endpoint_state)
package main
import (
"github.com/pulumi/pulumi-oci/sdk/v4/go/oci/dns"
"github.com/pulumi/pulumi/sdk/v3/go/pulumi"
)
func main() {
pulumi.Run(func(ctx *pulumi.Context) error {
_, err := dns.GetResolverEndpoints(ctx, &dns.GetResolverEndpointsArgs{
ResolverId: testResolver.Id,
Scope: "PRIVATE",
Name: pulumi.StringRef(resolverEndpointName),
State: pulumi.StringRef(resolverEndpointState),
}, nil)
if err != nil {
return err
}
return nil
})
}
using System.Collections.Generic;
using System.Linq;
using Pulumi;
using Oci = Pulumi.Oci;
return await Deployment.RunAsync(() =>
{
var testResolverEndpoints = Oci.Dns.GetResolverEndpoints.Invoke(new()
{
ResolverId = testResolver.Id,
Scope = "PRIVATE",
Name = resolverEndpointName,
State = resolverEndpointState,
});
});
package generated_program;
import com.pulumi.Context;
import com.pulumi.Pulumi;
import com.pulumi.core.Output;
import com.pulumi.oci.Dns.DnsFunctions;
import com.pulumi.oci.Dns.inputs.GetResolverEndpointsArgs;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.Map;
import java.io.File;
import java.nio.file.Files;
import java.nio.file.Paths;
public class App {
public static void main(String[] args) {
Pulumi.run(App::stack);
}
public static void stack(Context ctx) {
final var testResolverEndpoints = DnsFunctions.getResolverEndpoints(GetResolverEndpointsArgs.builder()
.resolverId(testResolver.id())
.scope("PRIVATE")
.name(resolverEndpointName)
.state(resolverEndpointState)
.build());
}
}
variables:
testResolverEndpoints:
fn::invoke:
function: oci:Dns:getResolverEndpoints
arguments:
resolverId: ${testResolver.id}
scope: PRIVATE
name: ${resolverEndpointName}
state: ${resolverEndpointState}
pulumi {
required_providers {
oci = {
source = "pulumi/oci"
}
}
}
data "oci_dns_getresolverendpoints" "testResolverEndpoints" {
resolver_id = testResolver.id
scope = "PRIVATE"
name = resolverEndpointName
state = resolverEndpointState
}
Using getResolverEndpoints
Two invocation forms are available. The direct form accepts plain arguments and either blocks until the result value is available, or returns a Promise-wrapped result. The output form accepts Input-wrapped arguments and returns an Output-wrapped result.
function getResolverEndpoints(args: GetResolverEndpointsArgs, opts?: InvokeOptions): Promise<GetResolverEndpointsResult>
function getResolverEndpointsOutput(args: GetResolverEndpointsOutputArgs, opts?: InvokeOptions): Output<GetResolverEndpointsResult>def get_resolver_endpoints(filters: Optional[Sequence[GetResolverEndpointsFilter]] = None,
name: Optional[str] = None,
resolver_id: Optional[str] = None,
scope: Optional[str] = None,
state: Optional[str] = None,
opts: Optional[InvokeOptions] = None) -> GetResolverEndpointsResult
def get_resolver_endpoints_output(filters: pulumi.Input[Optional[Sequence[pulumi.Input[GetResolverEndpointsFilterArgs]]]] = None,
name: pulumi.Input[Optional[str]] = None,
resolver_id: pulumi.Input[Optional[str]] = None,
scope: pulumi.Input[Optional[str]] = None,
state: pulumi.Input[Optional[str]] = None,
opts: Optional[InvokeOptions] = None) -> Output[GetResolverEndpointsResult]func GetResolverEndpoints(ctx *Context, args *GetResolverEndpointsArgs, opts ...InvokeOption) (*GetResolverEndpointsResult, error)
func GetResolverEndpointsOutput(ctx *Context, args *GetResolverEndpointsOutputArgs, opts ...InvokeOption) GetResolverEndpointsResultOutput> Note: This function is named GetResolverEndpoints in the Go SDK.
public static class GetResolverEndpoints
{
public static Task<GetResolverEndpointsResult> InvokeAsync(GetResolverEndpointsArgs args, InvokeOptions? opts = null)
public static Output<GetResolverEndpointsResult> Invoke(GetResolverEndpointsInvokeArgs args, InvokeOptions? opts = null)
}public static CompletableFuture<GetResolverEndpointsResult> getResolverEndpoints(GetResolverEndpointsArgs args, InvokeOptions options)
public static Output<GetResolverEndpointsResult> getResolverEndpoints(GetResolverEndpointsArgs args, InvokeOptions options)
fn::invoke:
function: oci:Dns/getResolverEndpoints:getResolverEndpoints
arguments:
# arguments dictionarydata "oci_dns_getresolverendpoints" "name" {
# arguments
}The following arguments are supported:
- Resolver
Id string - The OCID of the target resolver.
- Scope string
- Value must be
PRIVATEwhen listing private name resolver endpoints. - Filters
List<Get
Resolver Endpoints Filter> - Name string
- The name of a resource.
- State string
- The state of a resource.
- Resolver
Id string - The OCID of the target resolver.
- Scope string
- Value must be
PRIVATEwhen listing private name resolver endpoints. - Filters
[]Get
Resolver Endpoints Filter - Name string
- The name of a resource.
- State string
- The state of a resource.
- resolver_
id string - The OCID of the target resolver.
- scope string
- Value must be
PRIVATEwhen listing private name resolver endpoints. - filters list(object)
- name string
- The name of a resource.
- state string
- The state of a resource.
- resolver
Id String - The OCID of the target resolver.
- scope String
- Value must be
PRIVATEwhen listing private name resolver endpoints. - filters
List<Get
Resolver Endpoints Filter> - name String
- The name of a resource.
- state String
- The state of a resource.
- resolver
Id string - The OCID of the target resolver.
- scope string
- Value must be
PRIVATEwhen listing private name resolver endpoints. - filters
Get
Resolver Endpoints Filter[] - name string
- The name of a resource.
- state string
- The state of a resource.
- resolver_
id str - The OCID of the target resolver.
- scope str
- Value must be
PRIVATEwhen listing private name resolver endpoints. - filters
Sequence[Get
Resolver Endpoints Filter] - name str
- The name of a resource.
- state str
- The state of a resource.
- resolver
Id String - The OCID of the target resolver.
- scope String
- Value must be
PRIVATEwhen listing private name resolver endpoints. - filters List<Property Map>
- name String
- The name of a resource.
- state String
- The state of a resource.
getResolverEndpoints Result
The following output properties are available:
- Id string
- The provider-assigned unique ID for this managed resource.
- Resolver
Endpoints List<GetResolver Endpoints Resolver Endpoint> - The list of resolver_endpoints.
- Resolver
Id string - The OCID of the resolver.
- Scope string
- Filters
List<Get
Resolver Endpoints Filter> - Name string
- The name of the resolver endpoint. Must be unique, case-insensitive, within the resolver.
- State string
- The current state of the resource.
- Id string
- The provider-assigned unique ID for this managed resource.
- Resolver
Endpoints []GetResolver Endpoints Resolver Endpoint - The list of resolver_endpoints.
- Resolver
Id string - The OCID of the resolver.
- Scope string
- Filters
[]Get
Resolver Endpoints Filter - Name string
- The name of the resolver endpoint. Must be unique, case-insensitive, within the resolver.
- State string
- The current state of the resource.
- id string
- The provider-assigned unique ID for this managed resource.
- resolver_
endpoints list(object) - The list of resolver_endpoints.
- resolver_
id string - The OCID of the resolver.
- scope string
- filters list(object)
- name string
- The name of the resolver endpoint. Must be unique, case-insensitive, within the resolver.
- state string
- The current state of the resource.
- id String
- The provider-assigned unique ID for this managed resource.
- resolver
Endpoints List<GetResolver Endpoints Resolver Endpoint> - The list of resolver_endpoints.
- resolver
Id String - The OCID of the resolver.
- scope String
- filters
List<Get
Resolver Endpoints Filter> - name String
- The name of the resolver endpoint. Must be unique, case-insensitive, within the resolver.
- state String
- The current state of the resource.
- id string
- The provider-assigned unique ID for this managed resource.
- resolver
Endpoints GetResolver Endpoints Resolver Endpoint[] - The list of resolver_endpoints.
- resolver
Id string - The OCID of the resolver.
- scope string
- filters
Get
Resolver Endpoints Filter[] - name string
- The name of the resolver endpoint. Must be unique, case-insensitive, within the resolver.
- state string
- The current state of the resource.
- id str
- The provider-assigned unique ID for this managed resource.
- resolver_
endpoints Sequence[GetResolver Endpoints Resolver Endpoint] - The list of resolver_endpoints.
- resolver_
id str - The OCID of the resolver.
- scope str
- filters
Sequence[Get
Resolver Endpoints Filter] - name str
- The name of the resolver endpoint. Must be unique, case-insensitive, within the resolver.
- state str
- The current state of the resource.
- id String
- The provider-assigned unique ID for this managed resource.
- resolver
Endpoints List<Property Map> - The list of resolver_endpoints.
- resolver
Id String - The OCID of the resolver.
- scope String
- filters List<Property Map>
- name String
- The name of the resolver endpoint. Must be unique, case-insensitive, within the resolver.
- state String
- The current state of the resource.
Supporting Types
GetResolverEndpointsFilter
GetResolverEndpointsResolverEndpoint
- Compartment
Id string - The OCID of the owning compartment. This will match the resolver that the resolver endpoint is under and will be updated if the resolver's compartment is changed.
- Dictionary<string, string>
- Defined tags for this resource. Each key is predefined and scoped to a namespace. For more information, see Resource Tags.
- Endpoint
Type string - The type of resolver endpoint. VNIC is currently the only supported type.
- Forwarding
Address string - An IP address from which forwarded queries may be sent. For VNIC endpoints, this IP address must be part of the subnet and will be assigned by the system if unspecified when isForwarding is true.
- Dictionary<string, string>
- Free-form tags for this resource. Each tag is a simple key-value pair with no predefined name, type, or namespace. For more information, see Resource Tags.
- Id string
- The Terraform ID of the resolver endpoint.
- Is
Forwarding bool - A Boolean flag indicating whether or not the resolver endpoint is for forwarding.
- Is
Listening bool - A Boolean flag indicating whether or not the resolver endpoint is for listening.
- Listening
Address string - An IP address to listen to queries on. For VNIC endpoints this IP address must be part of the subnet and will be assigned by the system if unspecified when isListening is true.
- Name string
- The name of a resource.
- Nsg
Ids List<string> - An array of network security group OCIDs for the resolver endpoint. These must be part of the VCN that the resolver endpoint is a part of.
- Pe
Id string - The OCID of the private endpoint resource that this resolver endpoint corresponds to.
- Resolver
Id string - The OCID of the target resolver.
- Scope string
- Value must be
PRIVATEwhen listing private name resolver endpoints. - Security
Attributes Dictionary<string, string> - Security attributes are labels for a resource that can be referenced in a Zero Trust Packet Routing (ZPR) policy to control access to ZPR-supported resources. Example:
{"Oracle-DataSecurity-ZPR": {"MaxEgressCount": {"value":"42","mode":"audit"}}} - Self string
- The canonical absolute URL of the resource.
- State string
- The state of a resource.
- Subnet
Id string - The OCID of a subnet. Must be part of the VCN that the resolver is attached to.
- Time
Created string - The date and time the resource was created in "YYYY-MM-ddThh:mm:ssZ" format with a Z offset, as defined by RFC 3339.
- Time
Updated string - The date and time the resource was last updated in "YYYY-MM-ddThh:mm:ssZ" format with a Z offset, as defined by RFC 3339.
- Vnic
Id string - The OCID of the VNIC resource that this resolver endpoint corresponds to.
- Compartment
Id string - The OCID of the owning compartment. This will match the resolver that the resolver endpoint is under and will be updated if the resolver's compartment is changed.
- map[string]string
- Defined tags for this resource. Each key is predefined and scoped to a namespace. For more information, see Resource Tags.
- Endpoint
Type string - The type of resolver endpoint. VNIC is currently the only supported type.
- Forwarding
Address string - An IP address from which forwarded queries may be sent. For VNIC endpoints, this IP address must be part of the subnet and will be assigned by the system if unspecified when isForwarding is true.
- map[string]string
- Free-form tags for this resource. Each tag is a simple key-value pair with no predefined name, type, or namespace. For more information, see Resource Tags.
- Id string
- The Terraform ID of the resolver endpoint.
- Is
Forwarding bool - A Boolean flag indicating whether or not the resolver endpoint is for forwarding.
- Is
Listening bool - A Boolean flag indicating whether or not the resolver endpoint is for listening.
- Listening
Address string - An IP address to listen to queries on. For VNIC endpoints this IP address must be part of the subnet and will be assigned by the system if unspecified when isListening is true.
- Name string
- The name of a resource.
- Nsg
Ids []string - An array of network security group OCIDs for the resolver endpoint. These must be part of the VCN that the resolver endpoint is a part of.
- Pe
Id string - The OCID of the private endpoint resource that this resolver endpoint corresponds to.
- Resolver
Id string - The OCID of the target resolver.
- Scope string
- Value must be
PRIVATEwhen listing private name resolver endpoints. - Security
Attributes map[string]string - Security attributes are labels for a resource that can be referenced in a Zero Trust Packet Routing (ZPR) policy to control access to ZPR-supported resources. Example:
{"Oracle-DataSecurity-ZPR": {"MaxEgressCount": {"value":"42","mode":"audit"}}} - Self string
- The canonical absolute URL of the resource.
- State string
- The state of a resource.
- Subnet
Id string - The OCID of a subnet. Must be part of the VCN that the resolver is attached to.
- Time
Created string - The date and time the resource was created in "YYYY-MM-ddThh:mm:ssZ" format with a Z offset, as defined by RFC 3339.
- Time
Updated string - The date and time the resource was last updated in "YYYY-MM-ddThh:mm:ssZ" format with a Z offset, as defined by RFC 3339.
- Vnic
Id string - The OCID of the VNIC resource that this resolver endpoint corresponds to.
- compartment_
id string - The OCID of the owning compartment. This will match the resolver that the resolver endpoint is under and will be updated if the resolver's compartment is changed.
- map(string)
- Defined tags for this resource. Each key is predefined and scoped to a namespace. For more information, see Resource Tags.
- endpoint_
type string - The type of resolver endpoint. VNIC is currently the only supported type.
- forwarding_
address string - An IP address from which forwarded queries may be sent. For VNIC endpoints, this IP address must be part of the subnet and will be assigned by the system if unspecified when isForwarding is true.
- map(string)
- Free-form tags for this resource. Each tag is a simple key-value pair with no predefined name, type, or namespace. For more information, see Resource Tags.
- id string
- The Terraform ID of the resolver endpoint.
- is_
forwarding bool - A Boolean flag indicating whether or not the resolver endpoint is for forwarding.
- is_
listening bool - A Boolean flag indicating whether or not the resolver endpoint is for listening.
- listening_
address string - An IP address to listen to queries on. For VNIC endpoints this IP address must be part of the subnet and will be assigned by the system if unspecified when isListening is true.
- name string
- The name of a resource.
- nsg_
ids list(string) - An array of network security group OCIDs for the resolver endpoint. These must be part of the VCN that the resolver endpoint is a part of.
- pe_
id string - The OCID of the private endpoint resource that this resolver endpoint corresponds to.
- resolver_
id string - The OCID of the target resolver.
- scope string
- Value must be
PRIVATEwhen listing private name resolver endpoints. - security_
attributes map(string) - Security attributes are labels for a resource that can be referenced in a Zero Trust Packet Routing (ZPR) policy to control access to ZPR-supported resources. Example:
{"Oracle-DataSecurity-ZPR": {"MaxEgressCount": {"value":"42","mode":"audit"}}} - self string
- The canonical absolute URL of the resource.
- state string
- The state of a resource.
- subnet_
id string - The OCID of a subnet. Must be part of the VCN that the resolver is attached to.
- time_
created string - The date and time the resource was created in "YYYY-MM-ddThh:mm:ssZ" format with a Z offset, as defined by RFC 3339.
- time_
updated string - The date and time the resource was last updated in "YYYY-MM-ddThh:mm:ssZ" format with a Z offset, as defined by RFC 3339.
- vnic_
id string - The OCID of the VNIC resource that this resolver endpoint corresponds to.
- compartment
Id String - The OCID of the owning compartment. This will match the resolver that the resolver endpoint is under and will be updated if the resolver's compartment is changed.
- Map<String,String>
- Defined tags for this resource. Each key is predefined and scoped to a namespace. For more information, see Resource Tags.
- endpoint
Type String - The type of resolver endpoint. VNIC is currently the only supported type.
- forwarding
Address String - An IP address from which forwarded queries may be sent. For VNIC endpoints, this IP address must be part of the subnet and will be assigned by the system if unspecified when isForwarding is true.
- Map<String,String>
- Free-form tags for this resource. Each tag is a simple key-value pair with no predefined name, type, or namespace. For more information, see Resource Tags.
- id String
- The Terraform ID of the resolver endpoint.
- is
Forwarding Boolean - A Boolean flag indicating whether or not the resolver endpoint is for forwarding.
- is
Listening Boolean - A Boolean flag indicating whether or not the resolver endpoint is for listening.
- listening
Address String - An IP address to listen to queries on. For VNIC endpoints this IP address must be part of the subnet and will be assigned by the system if unspecified when isListening is true.
- name String
- The name of a resource.
- nsg
Ids List<String> - An array of network security group OCIDs for the resolver endpoint. These must be part of the VCN that the resolver endpoint is a part of.
- pe
Id String - The OCID of the private endpoint resource that this resolver endpoint corresponds to.
- resolver
Id String - The OCID of the target resolver.
- scope String
- Value must be
PRIVATEwhen listing private name resolver endpoints. - security
Attributes Map<String,String> - Security attributes are labels for a resource that can be referenced in a Zero Trust Packet Routing (ZPR) policy to control access to ZPR-supported resources. Example:
{"Oracle-DataSecurity-ZPR": {"MaxEgressCount": {"value":"42","mode":"audit"}}} - self String
- The canonical absolute URL of the resource.
- state String
- The state of a resource.
- subnet
Id String - The OCID of a subnet. Must be part of the VCN that the resolver is attached to.
- time
Created String - The date and time the resource was created in "YYYY-MM-ddThh:mm:ssZ" format with a Z offset, as defined by RFC 3339.
- time
Updated String - The date and time the resource was last updated in "YYYY-MM-ddThh:mm:ssZ" format with a Z offset, as defined by RFC 3339.
- vnic
Id String - The OCID of the VNIC resource that this resolver endpoint corresponds to.
- compartment
Id string - The OCID of the owning compartment. This will match the resolver that the resolver endpoint is under and will be updated if the resolver's compartment is changed.
- {[key: string]: string}
- Defined tags for this resource. Each key is predefined and scoped to a namespace. For more information, see Resource Tags.
- endpoint
Type string - The type of resolver endpoint. VNIC is currently the only supported type.
- forwarding
Address string - An IP address from which forwarded queries may be sent. For VNIC endpoints, this IP address must be part of the subnet and will be assigned by the system if unspecified when isForwarding is true.
- {[key: string]: string}
- Free-form tags for this resource. Each tag is a simple key-value pair with no predefined name, type, or namespace. For more information, see Resource Tags.
- id string
- The Terraform ID of the resolver endpoint.
- is
Forwarding boolean - A Boolean flag indicating whether or not the resolver endpoint is for forwarding.
- is
Listening boolean - A Boolean flag indicating whether or not the resolver endpoint is for listening.
- listening
Address string - An IP address to listen to queries on. For VNIC endpoints this IP address must be part of the subnet and will be assigned by the system if unspecified when isListening is true.
- name string
- The name of a resource.
- nsg
Ids string[] - An array of network security group OCIDs for the resolver endpoint. These must be part of the VCN that the resolver endpoint is a part of.
- pe
Id string - The OCID of the private endpoint resource that this resolver endpoint corresponds to.
- resolver
Id string - The OCID of the target resolver.
- scope string
- Value must be
PRIVATEwhen listing private name resolver endpoints. - security
Attributes {[key: string]: string} - Security attributes are labels for a resource that can be referenced in a Zero Trust Packet Routing (ZPR) policy to control access to ZPR-supported resources. Example:
{"Oracle-DataSecurity-ZPR": {"MaxEgressCount": {"value":"42","mode":"audit"}}} - self string
- The canonical absolute URL of the resource.
- state string
- The state of a resource.
- subnet
Id string - The OCID of a subnet. Must be part of the VCN that the resolver is attached to.
- time
Created string - The date and time the resource was created in "YYYY-MM-ddThh:mm:ssZ" format with a Z offset, as defined by RFC 3339.
- time
Updated string - The date and time the resource was last updated in "YYYY-MM-ddThh:mm:ssZ" format with a Z offset, as defined by RFC 3339.
- vnic
Id string - The OCID of the VNIC resource that this resolver endpoint corresponds to.
- compartment_
id str - The OCID of the owning compartment. This will match the resolver that the resolver endpoint is under and will be updated if the resolver's compartment is changed.
- Mapping[str, str]
- Defined tags for this resource. Each key is predefined and scoped to a namespace. For more information, see Resource Tags.
- endpoint_
type str - The type of resolver endpoint. VNIC is currently the only supported type.
- forwarding_
address str - An IP address from which forwarded queries may be sent. For VNIC endpoints, this IP address must be part of the subnet and will be assigned by the system if unspecified when isForwarding is true.
- Mapping[str, str]
- Free-form tags for this resource. Each tag is a simple key-value pair with no predefined name, type, or namespace. For more information, see Resource Tags.
- id str
- The Terraform ID of the resolver endpoint.
- is_
forwarding bool - A Boolean flag indicating whether or not the resolver endpoint is for forwarding.
- is_
listening bool - A Boolean flag indicating whether or not the resolver endpoint is for listening.
- listening_
address str - An IP address to listen to queries on. For VNIC endpoints this IP address must be part of the subnet and will be assigned by the system if unspecified when isListening is true.
- name str
- The name of a resource.
- nsg_
ids Sequence[str] - An array of network security group OCIDs for the resolver endpoint. These must be part of the VCN that the resolver endpoint is a part of.
- pe_
id str - The OCID of the private endpoint resource that this resolver endpoint corresponds to.
- resolver_
id str - The OCID of the target resolver.
- scope str
- Value must be
PRIVATEwhen listing private name resolver endpoints. - security_
attributes Mapping[str, str] - Security attributes are labels for a resource that can be referenced in a Zero Trust Packet Routing (ZPR) policy to control access to ZPR-supported resources. Example:
{"Oracle-DataSecurity-ZPR": {"MaxEgressCount": {"value":"42","mode":"audit"}}} - self str
- The canonical absolute URL of the resource.
- state str
- The state of a resource.
- subnet_
id str - The OCID of a subnet. Must be part of the VCN that the resolver is attached to.
- time_
created str - The date and time the resource was created in "YYYY-MM-ddThh:mm:ssZ" format with a Z offset, as defined by RFC 3339.
- time_
updated str - The date and time the resource was last updated in "YYYY-MM-ddThh:mm:ssZ" format with a Z offset, as defined by RFC 3339.
- vnic_
id str - The OCID of the VNIC resource that this resolver endpoint corresponds to.
- compartment
Id String - The OCID of the owning compartment. This will match the resolver that the resolver endpoint is under and will be updated if the resolver's compartment is changed.
- Map<String>
- Defined tags for this resource. Each key is predefined and scoped to a namespace. For more information, see Resource Tags.
- endpoint
Type String - The type of resolver endpoint. VNIC is currently the only supported type.
- forwarding
Address String - An IP address from which forwarded queries may be sent. For VNIC endpoints, this IP address must be part of the subnet and will be assigned by the system if unspecified when isForwarding is true.
- Map<String>
- Free-form tags for this resource. Each tag is a simple key-value pair with no predefined name, type, or namespace. For more information, see Resource Tags.
- id String
- The Terraform ID of the resolver endpoint.
- is
Forwarding Boolean - A Boolean flag indicating whether or not the resolver endpoint is for forwarding.
- is
Listening Boolean - A Boolean flag indicating whether or not the resolver endpoint is for listening.
- listening
Address String - An IP address to listen to queries on. For VNIC endpoints this IP address must be part of the subnet and will be assigned by the system if unspecified when isListening is true.
- name String
- The name of a resource.
- nsg
Ids List<String> - An array of network security group OCIDs for the resolver endpoint. These must be part of the VCN that the resolver endpoint is a part of.
- pe
Id String - The OCID of the private endpoint resource that this resolver endpoint corresponds to.
- resolver
Id String - The OCID of the target resolver.
- scope String
- Value must be
PRIVATEwhen listing private name resolver endpoints. - security
Attributes Map<String> - Security attributes are labels for a resource that can be referenced in a Zero Trust Packet Routing (ZPR) policy to control access to ZPR-supported resources. Example:
{"Oracle-DataSecurity-ZPR": {"MaxEgressCount": {"value":"42","mode":"audit"}}} - self String
- The canonical absolute URL of the resource.
- state String
- The state of a resource.
- subnet
Id String - The OCID of a subnet. Must be part of the VCN that the resolver is attached to.
- time
Created String - The date and time the resource was created in "YYYY-MM-ddThh:mm:ssZ" format with a Z offset, as defined by RFC 3339.
- time
Updated String - The date and time the resource was last updated in "YYYY-MM-ddThh:mm:ssZ" format with a Z offset, as defined by RFC 3339.
- vnic
Id String - The OCID of the VNIC resource that this resolver endpoint corresponds to.
Package Details
- Repository
- oci pulumi/pulumi-oci
- License
- Apache-2.0
- Notes
- This Pulumi package is based on the
ociTerraform Provider.
published on Thursday, Jul 9, 2026 by Pulumi